package org.rssloteriadelestado.android;
public abstract class FeedParserFactory {
	static String feedUrl = "http://www.loteriasyapuestas.es/es/la-primitiva/.formatoRSS";
	
	public static FeedParser getParser(){
		return getParser(ParserType.LAPRIMI);
	}
	
	public static FeedParser getParser(ParserType type){
		switch (type){
		case LOT_NAC:
			 String  feedUrl = "http://www.loteriasyapuestas.es/es/loteria-nacional/.formatoRSS";
			 return new AndroidSaxFeedParser(feedUrl);
							
				case EURO_MIL:
					String  feedUrl2 = "http://www.loteriasyapuestas.es/es/euromillones/.formatoRSS";
					return new AndroidSaxFeedParser(feedUrl2);
				case BONOLOTO:
					String  feedUrl3 = "http://www.loteriasyapuestas.es/es/bonoloto/.formatoRSS";
					return new AndroidSaxFeedParser(feedUrl3);
				case ELGORDO:
					String  feedUrl4 = "http://www.loteriasyapuestas.es/es/gordo-primitiva/resultados/.formatoRSS";
					return new AndroidSaxFeedParser(feedUrl4);
				
				case LAPRIMI:
					String  feedUrl6 = "http://www.loteriasyapuestas.es/es/la-primitiva/.formatoRSS";
					return new AndroidSaxFeedParser(feedUrl6);
					
				case QUINIELA:
					String  feedUrl5 = "http://www.loteriasyapuestas.es/es/la-quiniela/resultados/.formatoRSS";
					return new AndroidSaxFeedParser(feedUrl5);
			default: return null;
		}
	}
}
